Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Mulongo oyo etiyamaki na archive. Tuna motuna mosusu soki osengeli na lisalisi

Flash player will not work

  • 6 biyano
  • 1 eza na nkokoso oyo
  • 8 views
  • Eyano yasuka ya TheBudda

more options

Hi Support,

The problem I have is flash player will not play Channel 4 TV, ITV, Facebook games, live or on demand TV etc. The flash player just spins and spins and than some more spins

I am Running Debian 8 Linux. Firefox version 42.0. When I check if flash player is working at the Adobe site, the plugin is working but I get Flash Player is out of date (11,2,202,548) Can you please help?

Kind regards TheBudda

Solution eye eponami

The only other option for Linux users wanting to use a newer Flash version in Firefox and SeaMonkey is by using a freshplayer wrapper plugin to make use of the Pepper Flash that Chrome/Chromium uses.

Not sure if Debian has this in any of its repositories.


edit: wrapper and not warapper

Tanga eyano oyo ndenge esengeli 👍 0

All Replies (6)

more options

Use this link to check that your plugins are up-to-date. If any are listed as unknown or research, do not worry about them.

more options

checking if my plugins are up to date was my first port of call. Adobe are not supporting Linux or Firefox any longer. The only plugin for Fire fox is Plugins are up to date. This is problem is on a new clean install of Debian 8 running Firefox 42.0 from Ubuntuzilla: Mozilla Software Installer deb package

here is the note from Adobe! NOTE: Adobe Flash Player 11.2 will be the last version to target Linux as a supported platform. Adobe will continue to provide security backports to Flash Player 11.2 for Linux.

more options

I do not know if this can help you. I have not tried this, but take a look at it; Video WithOut Flash {web link} Watch videos without flash

more options

I have tried that Video WithOut Flash its dont work. I have tried a few things. I am good with all computers and do not have post in these forums, I normally sort it this one as got me!!

Please see screenshot

more options

Solution eye oponami

The only other option for Linux users wanting to use a newer Flash version in Firefox and SeaMonkey is by using a freshplayer wrapper plugin to make use of the Pepper Flash that Chrome/Chromium uses.

Not sure if Debian has this in any of its repositories.


edit: wrapper and not warapper

Ezalaki modifié na James

more options

Hi All,

I have now sorted this problem by URL the information on this link!

https://peterpap.net/index.php/Install_Pepper_Flash_for_Firefox

Thank you for your help

Kind regards TheBudda